Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class XMLWriter

    java.lang.Object
      org.apache.catalina.util.XMLWriter

    public class XMLWriter

extends Object

XMLWriter helper class.

Author:
  Remy Maucherat

Field Summary
`protected StringBuilder` | `buffer` Buffer.
`static int` | `CLOSING` Closing tag.
`static int` | `NO_CONTENT` Element with no content.
`static int` | `OPENING` Opening tag.
`protected Writer` | `writer` Writer.

Constructor Summary
`XMLWriter()` Constructor.
`XMLWriter(Writer writer)` Constructor.

Method Summary
`void` | `sendData()` Send data and reinitializes buffer.
`String` | `toString()` Retrieve generated XML.
`void` | `writeData(String data)` Write data.
`void` | `writeElement(String namespace, String name, int type)` Write an element.
`void` | `writeElement(String namespace, String namespaceInfo, String name, int type)` Write an element.
`void` | `writeProperty(String namespace, String name)` Write property to the XML.
`void` | `writeProperty(String namespace, String name, String value)` Write property to the XML.
`void` | `writeProperty(String namespace, String namespaceInfo, String name, String value)` Write property to the XML.
`void` | `writeText(String text)` Write text.
`void` | `writeXMLHeader()` Write XML Header.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OPENING

    public static final int OPENING

  Opening tag.

  See Also:
    Constant Field Values

### CLOSING

    public static final int CLOSING

  Closing tag.

  See Also:
    Constant Field Values

### NO_CONTENT

    public static final int NO_CONTENT

  Element with no content.

  See Also:
    Constant Field Values

### buffer

    protected StringBuilder buffer

  Buffer.

### writer

    protected Writer writer

  Writer.

Constructor Detail

### XMLWriter

    public XMLWriter()

  Constructor.

### XMLWriter

    public XMLWriter(Writer writer)

  Constructor.

Method Detail

### toString

    public String toString()

  Retrieve generated XML.

  Overrides:
    `toString` in class `Object`
  Returns:
    String containing the generated XML

### writeProperty

    public void writeProperty(String namespace,
                              String namespaceInfo,
                              String name,
                              String value)

  Write property to the XML.

  Parameters:
    `namespace` - Namespace
    `namespaceInfo` - Namespace info
    `name` - Property name
    `value` - Property value

### writeProperty

    public void writeProperty(String namespace,
                              String name,
                              String value)

  Write property to the XML.

  Parameters:
    `namespace` - Namespace
    `name` - Property name
    `value` - Property value

### writeProperty

    public void writeProperty(String namespace,
                              String name)

  Write property to the XML.

  Parameters:
    `namespace` - Namespace
    `name` - Property name

### writeElement

    public void writeElement(String namespace,
                             String name,
                             int type)

  Write an element.

  Parameters:
    `name` - Element name
    `namespace` - Namespace abbreviation
    `type` - Element type

### writeElement

    public void writeElement(String namespace,
                             String namespaceInfo,
                             String name,
                             int type)

  Write an element.

  Parameters:
    `namespace` - Namespace abbreviation
    `namespaceInfo` - Namespace info
    `name` - Element name
    `type` - Element type

### writeText

    public void writeText(String text)

  Write text.

  Parameters:
    `text` - Text to append

### writeData

    public void writeData(String data)

  Write data.

  Parameters:
    `data` - Data to append

### writeXMLHeader

    public void writeXMLHeader()

  Write XML Header.

### sendData

    public void sendData()
                  throws IOException

  Send data and reinitializes buffer.

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.